Problem with cydia.list

Discussion in 'Jailbreaks and iOS Hacks' started by Gavernty, Sep 9, 2010.

  1. Gavernty macrumors 6502

    Joined:
    Jun 25, 2010
    #1
    Every time I attempt to add a source line 1 in my list file becomes unreadable. It keeps adding a ./ in front of my first source... why is it doing this?
     
  2. maturola macrumors 68040

    maturola

    Joined:
    Oct 29, 2007
    Location:
    Atlanta, GA
    #2
    It's not recommended to manually add sources here, you can edit and erased problematic sources but adding is not "recommended", Add sources using Cydia.

    Also make sure that the source you are adding is a standard structure source, some sources (Like the default sources) need some additional parameters
     
  3. Gavernty thread starter macrumors 6502

    Joined:
    Jun 25, 2010
    #3
    this all started after deleting a bad source from cydia.list

    ever since then if i try to add a new source I have to manually ssh into cydia.list and delete it because adding a new source through cydia causes malformed errors
     
  4. maturola macrumors 68040

    maturola

    Joined:
    Oct 29, 2007
    Location:
    Atlanta, GA
    #4
    I know exactly what you are talking about, that is a bug I haven't be able to figure out, I reported it but haven't got any reply back. i've done lot of searched and try many things myself and could not get to solve that issue, the bad source come back by itself after any new source is added or remove.

    The only way i got rid of it was re-installing cydia by re-jailbreaking.
     
  5. Gavernty thread starter macrumors 6502

    Joined:
    Jun 25, 2010
    #5
    yea thats what I am about to do, seems like it should be such an easy fix but this list file is doing whatever the hell it wants right now
     
  6. -aggie- macrumors P6

    -aggie-

    Joined:
    Jun 19, 2009
    Location:
    Where bunnies are welcome.
    #6
    Try using Cyfix to remove the problem source and then re-add it.
     
  7. Krafty macrumors 601

    Krafty

    Joined:
    Dec 31, 2007
    Location:
    La La Land
    #7
    I'm about to try this cause I'm having the same problem after removing this bad source that keeps showing back up after I open cydia a few times.

    EDIT: Whats the repo?
     
  8. maturola macrumors 68040

    maturola

    Joined:
    Oct 29, 2007
    Location:
    Atlanta, GA
    #8
    Tried that, not luck, believe me I tried a lot :eek:
     
  9. Krafty macrumors 601

    Krafty

    Joined:
    Dec 31, 2007
    Location:
    La La Land
    #9
    OT: I'm flying back to Atlanta to start my senior year in college.
     
  10. -aggie- macrumors P6

    -aggie-

    Joined:
    Jun 19, 2009
    Location:
    Where bunnies are welcome.
    #10
    xSellize. Don’t get the Cyfix GUI only the Cyfix app.


    http://cydia.xsellize.com/
     
  11. Krafty macrumors 601

    Krafty

    Joined:
    Dec 31, 2007
    Location:
    La La Land
    #11
    Apparently 1.6.1 is the latest and xS only has 1.4
     
  12. -aggie- macrumors P6

    -aggie-

    Joined:
    Jun 19, 2009
    Location:
    Where bunnies are welcome.
    #12
  13. Krafty macrumors 601

    Krafty

    Joined:
    Dec 31, 2007
    Location:
    La La Land
    #13
    How would you install that? It's not a deb file (even after added it).
     
  14. -aggie- macrumors P6

    -aggie-

    Joined:
    Jun 19, 2009
    Location:
    Where bunnies are welcome.
    #14
    You put it in usr/bin

    Oh and change the permissions to 775.

    It’s a script file, BTW.
     
  15. Krafty macrumors 601

    Krafty

    Joined:
    Dec 31, 2007
    Location:
    La La Land
    #15
    Alright, and then just respring?
     
  16. Krafty macrumors 601

    Krafty

    Joined:
    Dec 31, 2007
    Location:
    La La Land
    #16
    I've tried running the commands and I keep getting:
    HTML:
    Installing necessary tools... 
    Unable to automatically install tools,
    please install APT 0.7 Strict from Cydia.
    
    
    I tried installing APT 0.7 and respring but this still comes up.
     
  17. -aggie- macrumors P6

    -aggie-

    Joined:
    Jun 19, 2009
    Location:
    Where bunnies are welcome.
    #17
    Requirements:
    - erica utilities (for script execution)
    - wget (for script updating)
    - terminal
    - root login
    - script placed in /usr/bin
    - script permissions set to 755

    There are two Apt 0.7 Strict’s. Install both.
     
  18. Krafty macrumors 601

    Krafty

    Joined:
    Dec 31, 2007
    Location:
    La La Land
    #18
    The only thing from that list I see in Cydia is the APT 0.7 that I installed, I don't see another.

    I tried googling WGET and installing that and got this error:
    HTML:
    Selecting previously deselected package wget.
    (Reading database ... 4303 files and directories currently installed.)
    Unpacking wget (from .../wget_1.11-3_iphoneos-arm.deb) ...
    dpkg: dependency problems prevent configuration of wget:
     wget depends on gettext; however:
      Package gettext is not installed.
    dpkg: error processing wget (--install):
     dependency problems - leaving unconfigured
    Errors were encountered while processing:
     wget

    :-|
     
  19. -aggie- macrumors P6

    -aggie-

    Joined:
    Jun 19, 2009
    Location:
    Where bunnies are welcome.
    #19
    You need to go to Cydia>Manage>Settings and change to Developer(no filters). That's why you're not getting all the packages.
     
  20. Krafty macrumors 601

    Krafty

    Joined:
    Dec 31, 2007
    Location:
    La La Land
    #20
    Did that, checked the install packages and I already have everything on that list :-|
     

Share This Page